Description

For relation reference widgets where the related table has a lot of features and many columns, it would be good to have a better search

functionality.

The idea is to add an optional search button to the right of the combobox. When clicking on it, the embedded sub form would change into

the multi-attribute search mode. The user can search in multiple fields and the list can be narrowed down in the combobox.

The user can then select the single entry he wants to relate to.

History

#1 - 2017-07-10 01:50 PM - Andreas Neumann

The user should get some feedback on how much the multi-attribute search could narrow the choice in the combobox or if the search didn't get any hits at

all, so that the user can change the filter or reset it to the whole set.

#2 - 2017-10-23 11:10 AM - Andreas Neumann

- Assignee set to Matthias Kuhn

#3 - 2019-02-24 08:21 PM - Andreas Neumann

- Resolution set to fixed/implemented

- Status changed from Open to Closed

This works quite well now. One can type and gets responses. Closing this feature request therefore.

Files

relation_reference_search.png 115 KB 2017-07-10 Andreas Neumann

2025-04-27 1/1


